> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/crash-reporting/enable-or-disable-crash-reporting.md).

# Enable or Disable Crash Reporting

API reference for enabling or disabling crash reporting in Luciq. Crashes reach your dashboard as soon as the SDK is integrated.

By default, crash reporting is enabled and will send crashes to your dashboard as soon as you integrate the SDK. If you would prefer to disable this feature, you can this API, and pass it a boolean to enable or disable it.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
CrashReporting.enabled = false
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQCrashReporting.enabled = NO;
```

{% endtab %}

{% tab title="And - Java" %}

```java
// Enable
CrashReporting.setState(Feature.State.ENABLED);
// Disable
CrashReporting.setState(Feature.State.DISABLED);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
// Enable
CrashReporting.setState(Feature.State.ENABLED)
// Disable
CrashReporting.setState(Feature.State.DISABLED)
```

{% endtab %}

{% tab title="RN" %}

```javascript
CrashReporting.setEnabled(false);
```

{% endtab %}

{% tab title="Flutter" %}

```javascript
CrashReporting.setEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/crash-reporting/enable-or-disable-crash-reporting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
